@import '../px-flexbox-design/base.flexbox.scss';
@import "./easings.min.css";
.header-text{
  min-height: var(--lumo-size-xl);
  font-size: var(--lumo-font-size-l);
  line-height: var(--lumo-size-l);
  margin: 0 var(--lumo-space-m);
}

.unselectable {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.header-navbar{
  width:calc(100vw - 110px);
}

.shortcuts {
  min-height: var(--lumo-size-xl);
  width:calc(100vw - 110px);
}

.taskbar {
  min-width: 100%;
  width: calc(100vw - 110px);
  min-height: var(--lumo-size-xl);
}

.taskbar-close-icon {
  height: var(--lumo-icon-size-s);
  width: var(--lumo-icon-size-s);
  margin-left:5px;
}

.container-info {
  min-height: var(--lumo-size-xl);
  width: 50px;
  position: absolute;
  right: 0;
  top: 0;
}

.container-info-justify {
  justify-content: end;
}

.footer-text {
  font-size: var(--lumo-font-size-m);
  margin: 0 var(--lumo-space-m);
}

.content-container {
  overflow-x: hidden;
  overflow-y: auto;
  height: calc(100vh - 72px);
  width:  calc(100vw - 16px);
}

.content-container-collapsed {
  overflow-x: hidden;
  overflow-y: auto;
  height: calc(100vh - 72px);
  width:  calc(100vw - 16px);
}

.content-main-container {
  height: 100%;
  width:  100%;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.content {
  height: 100%;
  width:  100%;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.content-iframe-container {
  position: absolute;
  top:66px;
  right:8px;
  height: 800px;
  width: 800px;
  max-height: 800px;
  max-width: 800px;
  min-height: 800px;
  min-width: 800px;
}

.content-iframe {
  position: absolute;
  top:0px;
  right:0px;
  height: 800px;
  width: 800px;
  max-height: 800px;
  max-width: 800px;
  min-height: 800px;
  min-width: 800px;
  border:none;
  overflow: hidden;
  z-index: 1;
}

.hidden {
  display: none;
}

.weather-indicator-gemak {
  color: black;
  font-weight: bold;
  font-size: 10px;
  width: 70px;
  height: 30px;
  padding: 5px 10px;
  position: absolute;
  right: 480px;
  top: 690px;
  background: rgb(252, 251, 227);
  border-radius: 8px;
  border: 1px solid rgb(205, 205, 205);
  box-shadow: rgb(136, 136, 136) 8px 8px 5px;
  z-index: 2;
}

.weather-indicator-gisas {
  color: black;
  font-weight: bold;
  font-size: 10px;
  width: 70px;
  height: 30px;
  padding: 5px 10px;
  position: absolute;
  right: 520px;
  top: 290px;
  background: rgb(252, 251, 227);
  border-radius: 8px;
  border: 1px solid rgb(205, 205, 205);
  box-shadow: rgb(136, 136, 136) 8px 8px 5px;
  z-index: 2;
}

.weather-indicator-unroro {
  color: black;
  font-weight: bold;
  font-size: 10px;
  width: 70px;
  height: 30px;
  padding: 5px 10px;
  position: absolute;
  right: 455px;
  top: 5px;
  background: rgb(252, 251, 227);
  border-radius: 8px;
  border: 1px solid rgb(205, 205, 205);
  box-shadow: rgb(136, 136, 136) 8px 8px 5px;
  z-index: 2;
}



.sun-and-moon>:is(.moon,.sun,.sun-beams) {
  transform-origin: center center
}

.sun-and-moon>:is(.moon,.sun) {
  fill: var(--icon-fill)
}

.theme-toggle:is(:hover,:focus-visible)>.sun-and-moon>:is(.moon,.sun) {
  fill: var(--icon-fill-hover)
}

.sun-and-moon>.sun-beams {
  stroke: var(--icon-fill);
  stroke-width: 2px
}

.theme-toggle:is(:hover,:focus-visible) .sun-and-moon>.sun-beams {
  stroke: var(--icon-fill-hover)
}

[theme=dark] .sun-and-moon>.sun {
  transform: scale(1.75)
}

[theme=dark] .sun-and-moon>.sun-beams {
  opacity: 0
}

[theme=dark] .sun-and-moon>.moon>circle {
  transform: translate(-7px)
}

@supports (cx: 1) {
  [theme=dark] .sun-and-moon>.moon>circle {
      transform: translate(0);
      cx: 17
  }
}

@media (prefers-reduced-motion: no-preference) {
  .sun-and-moon>.sun {
      transition: transform .5s var(--ease-elastic-3)
  }

  .sun-and-moon>.sun-beams {
      transition: transform .5s var(--ease-elastic-4),opacity .5s var(--ease-3)
  }

  .sun-and-moon .moon>circle {
      transition: transform .25s var(--ease-out-5)
  }

  @supports (cx: 1) {
      .sun-and-moon .moon>circle {
          transition: cx .25s var(--ease-out-5)
      }
  }

  [theme=dark] .sun-and-moon>.sun {
      transform: scale(1.75);
      transition-timing-function: var(--ease-3);
      transition-duration: .25s
  }

  [theme=dark] .sun-and-moon>.sun-beams {
      transform: rotate(-25deg);
      transition-duration: .15s
  }

  [theme=dark] .sun-and-moon>.moon>circle {
      transition-delay: .25s;
      transition-duration: .5s
  }
}

.theme-toggle {
  --size: 2rem;
  --icon-fill: hsl(210 10% 30%);
  --icon-fill-hover: hsl(210 10% 15%);
  background: none;
  border: none;
  padding: 0;
  inline-size: var(--size);
  block-size: var(--size);
  aspect-ratio: 1;
  border-radius: 50%;
  cursor: pointer;
  touch-action: manipulation;
  -webkit-tap-highlight-color: transparent;
  outline-offset: 5px;
  //margin-top: 4px;
  //padding-top: 4px;
  //padding-bottom: 4px;
  //padding-right: 4px;
  //padding-left: 4px;
  //position: absolute;
  //bottom:10px;
  //right:10px;
}

.theme-toggle>svg {
  inline-size: 100%;
  block-size: 100%;
  stroke-linecap: round
}

[theme=dark] .theme-toggle {
  --icon-fill: hsl(210 10% 70%);
  --icon-fill-hover: hsl(210 15% 90%)
}

@media (hover: none) {
  .theme-toggle {
      --size: 48px
  }
}

//* {
  //box-sizing: border-box;
  //margin: 0
//}

html {
  block-size: 100%;
  color-scheme: light
}

html[theme=dark] {
  color-scheme: dark
}

@supports not (color-scheme: dark) {
  html[theme=dark] {
      background: #111
  }
}

@-webkit-keyframes octocat-wave {
  0%,to {
      transform: rotate(0)
  }

  20%,60% {
      transform: rotate(-25deg)
  }

  40%,80% {
      transform: rotate(10deg)
  }
}

@keyframes octocat-wave {
  0%,to {
      transform: rotate(0)
  }

  20%,60% {
      transform: rotate(-25deg)
  }

  40%,80% {
      transform: rotate(10deg)
  }
}

